top
logo


Релиз системы печати CUPS 2.0 с поддержкой systemd PDF Печать E-mail
Автор: adm   
02.10.14 06:19

В день пятнадцатилетия с момента первого релиза проекта представлен выпуск свободной системы печати CUPS 2.0 (Common Unix Printing System), используемой в OS X и подавляющем большинстве дистрибутивов Linux. Проект распространяется под лицензией GPLv2 (фильтры и библиотеки под LGPLv2). Разработку CUPS полностью контролирует компания Apple, которая в 2007 году поглотила компанию Easy Software Products, создавшую CUPS.

Майкл Свит (Mike Sweet), создатель CUPS, отметил, что за последние 15 лет требования по поддержке систем печати сильно изменились - современные принтеры не требуют отдельных драйверов и полагаются на стандартные протоколы и форматы, и обеспечивают качество печати, о котором можно было только мечтать в 1999 году. Плотно вошли в обиход беспроводные сети и мобильные системы, что изменило методы организации доступа к принтерам. Выпуск CUPS 2.0 кардинально не отличается от прошлых значительных выпусков и является своего рода подведением итогов за 15 лет с момента появления CUPS 1.0.

Основные изменения в CUPS 2.0:

  • Поддержка системного менеджера systemd;
  • Поддержка проверки TLS-сертификатов и применения политики безопасного доступа;
  • Возможность переотправки задания на печать в виде растрового файла, если не удалась попытка отправки в высокоуровневых форматах, таких как PDF;
  • В правилах определения MIME-типов добавлена поддержка регулярных выражений;
  • В команду cupsfilter добавлена опция "--list-filters" для вывода списка доступных фильтров;
  • Расширение возможностей утилиты ipptool: Обеспечена возможность формирования в ipptool одновременно тестового вывода и вывода в XML. Поддержка директивы PAUSE в тестовых файлах. Возможность автонабора (auto-typing) TIFF-файлов. Поддержка выражений EXPECT для коллекции атрибутов. Поддержка множественных значений атрибутов в коллекции;
  • Прекращена поддержка устаревших примеров драйверов для принтеров Epson Stylus Color/Photo, так как они неприменимы к современным моделям, находящимся в обиходе;
  • Прекращена поддержка OpenSSL в пользу GNU TLS;
  • Прекращена поддержка платформ AIX, HP-UX и OSF/1 (Digital UNIX);
  • Из состава исключена утилита lppasswd и прекращена поддержка Digest-аутентификации в планировщике;
  • Прекращена поддержка функций cupsGetClasses, cupsGetPrinters и cupsTempFile.

Read more http://www.opennet.ru/opennews/art.shtml?num=40726

 
Интересная статья? Поделись ей с другими:

bottom

 

Unreal Commander PfSense по русски Яндекс.Метрика